Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html
Class HTMLFrameHyperlinkEvent

    java.lang.Object
      java.util.EventObject
          javax.swing.event.HyperlinkEvent
              javax.swing.text.html.HTMLFrameHyperlinkEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  FormSubmitEvent

    public class HTMLFrameHyperlinkEvent

extends HyperlinkEvent

HTMLFrameHyperlinkEvent is used to notify interested parties that link was activated in a frame.

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.event.HyperlinkEvent
`HyperlinkEvent.EventType`

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`HTMLFrameHyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL targetURL, Element sourceElement, String targetFrame)` Creates a new object representing a hypertext link event.
`HTMLFrameHyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL targetURL, String targetFrame)` Creates a new object representing a html frame hypertext link event.
`HTMLFrameHyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL targetURL, String desc, Element sourceElement, String targetFrame)` Creates a new object representing a hypertext link event.
`HTMLFrameHyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL targetURL, String desc, String targetFrame)` Creates a new object representing a hypertext link event.

Method Summary
`String` | `getTarget()` returns the target for the link.

Methods inherited from class javax.swing.event.HyperlinkEvent
`getDescription, getEventType, getSourceElement, getURL`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLFrameHyperlinkEvent

    public HTMLFrameHyperlinkEvent(Object source,
                                   HyperlinkEvent.EventType type,
                                   URL targetURL,
                                   String targetFrame)

  Creates a new object representing a html frame hypertext link event.

  Parameters:
    `source` - the object responsible for the event
    `type` - the event type
    `targetURL` - the affected URL
    `targetFrame` - the Frame to display the document in

### HTMLFrameHyperlinkEvent

    public HTMLFrameHyperlinkEvent(Object source,
                                   HyperlinkEvent.EventType type,
                                   URL targetURL,
                                   String desc,
                                   String targetFrame)

  Creates a new object representing a hypertext link event.

  Parameters:
    `source` - the object responsible for the event
    `type` - the event type
    `targetURL` - the affected URL
    `desc` - a description
    `targetFrame` - the Frame to display the document in

### HTMLFrameHyperlinkEvent

    public HTMLFrameHyperlinkEvent(Object source,
                                   HyperlinkEvent.EventType type,
                                   URL targetURL,
                                   Element sourceElement,
                                   String targetFrame)

  Creates a new object representing a hypertext link event.

  Parameters:
    `source` - the object responsible for the event
    `type` - the event type
    `targetURL` - the affected URL
    `sourceElement` - the element that corresponds to the source of the event
    `targetFrame` - the Frame to display the document in

### HTMLFrameHyperlinkEvent

    public HTMLFrameHyperlinkEvent(Object source,
                                   HyperlinkEvent.EventType type,
                                   URL targetURL,
                                   String desc,
                                   Element sourceElement,
                                   String targetFrame)

  Creates a new object representing a hypertext link event.

  Parameters:
    `source` - the object responsible for the event
    `type` - the event type
    `targetURL` - the affected URL
    `desc` - a desription
    `sourceElement` - the element that corresponds to the source of the event
    `targetFrame` - the Frame to display the document in

Method Detail

### getTarget

    public String getTarget()

  returns the target for the link.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.